qt_internal_add_qml_module(GrpcQuick
    URI "QtGrpc"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME QtGrpcQuickPlugin
    PLUGIN_TARGET qtgrpcquick
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES QtQuick
    SOURCES
        qquickgrpcstream.cpp qquickgrpcstream_p.h
        qtgrpcquicklogging.cpp qtgrpcquicklogging_p.h
        qtgrpcquick_global.h
    LIBRARIES
        Qt::QmlIntegration
        Qt::Qml
        Qt::Quick
        Qt::Protobuf
        Qt::Grpc
)
target_sources(qtgrpcquick PRIVATE grpcquick_plugin.cpp)
target_link_libraries(qtgrpcquick PRIVATE Qt::Grpc)
